{% extends 'base.html' %}
{% block title %}Photo{% endblock %}
{% block content %}
    {% for photo in photos %}
        <div class="card my-3">
            <img src="{{ photo.photo.url }}" alt="{{ photo.label }}" class="card-img-top">
            <div class="card-body">
                <h3 class="card-title">{{ photo.label }}</h3>
                <p class="card-subtitle text-muted">{{ photo.author }} | {{ photo.created_at|date:"Y-m-d H:i:s" }} |
                    likes: <span id="likes-display-{{ photo.pk }}">{{ photo.likes_count }}</span></p>
                {% if request.user.is_authenticated %}
                    <p class="mt-2 mb-0">
                        <a href="#" class="btn btn-success like-btn" id="like-btn-{{ photo.pk }}"
                           data-id="{{ photo.pk }}">Like</a>
                        <a href="#" class="btn btn-danger dislike-btn" id="dislike-btn-{{ photo.pk }}"
                           data-id="{{ photo.pk }}">Dislike</a>
                    </p>
                {% endif %}
                <p class="mt-2 mb-0">
                    <a href="{% url "webapp:photo_detail" photo.pk %}" class="card-link">Читать дальше</a>
                </p>
            </div>
        </div>
    {% endfor %}
{% endblock %}
